{% set countProposal = 0 %}
<div id="proposals" class="row">
    {% set break = false %}
    {% for proposal in proposals if not break %}
        {% set votation = proposal.supervisedVotations|first %}
        <div class="col-sm-12"><hr></div>
        <div class="col-sm-12 defTitle">
            <h2><a href="{{ path('proposal_view', {id: proposal.id}) }}">{{ proposal|raw }}</a>
                {#{% if votation|default(null) and "now"|date('Y-m-d') > votation.endDate|date('Y-m-d') %}#}
                {#<span class="badge pinkBackColor">{{ proposal.weight }} votes</span>#}
                {#{% endif %}#}
            </h2>
            {% set description = proposal.description %}
            {% if description | length > 100 %}
            <div class="description"><a href="{{ path('proposal_view', {id: proposal.id}) }}">{{ description|raw }} {% if description | length > 149 %}{% endif %}</a>
            </div>
            {% endif %}

        </div>
        <div class="col-sm-12" style="text-align: left">
            <p><small>{{ proposal.createdAt|date('d/m/Y') }} - {{ proposal.status }}</small>
                {% if proposal.NComments > 0 %}
                <span class="badge question" data-toggle="collapse" href="#{{ proposal.id ~'collapseComments'}}">Voir les {{ proposal.NComments }} commentaires</span>
                    {% else %}
                <span class="badge">Aucun commentaire</span><span class="pull-right">
            {% endif %}
        <a href="#" actionUrl="{{ path('proposal_comment', {'id' : proposal.id}) }}"
           class="modal-form pull-right white btn-xs"><i class="fa fa-edit"></i> Commenter</a>
    </span>
                {% if proposal.referedGroups|length > 0 %}

                    {% for group in proposal.referedGroups %}
                        <a href="{{ path('group_view', {id : group.id}) }}">
                            <span class="label label-{{ group.color ? : yellow }}">{{ group }}</span>
                        </a>
                    {% endfor %}

                {% endif %}
            </p>
            <div class="collapse" id="{{ proposal.id ~'collapseComments'}}" style="width: 80%">
                {% for comment in proposal.comments %}
                    {% include 'AppBundle:Content/Comment:view.html.twig' %}
                {% endfor %}
            </div>
        </div>
        {% if maxProposal is defined %}
            {% set countProposal = countProposal + 1 %}
            {% if countProposal == maxProposal %}
                {% set break = true %}
            {% endif %}
        {% endif %}
    {% endfor %}
    {% if maxProposal is defined %}
        <a href="{{ path('proposals') }}"
           class="pull-right btn btn-primary"><i class="fa fa-search"></i> Liste complète</a>
    {% endif %}
</div>